diff -pruN 0.88/bash-completion/cowbuilder 0.89/bash-completion/cowbuilder
--- 0.88/bash-completion/cowbuilder	2018-09-20 12:37:30.000000000 +0000
+++ 0.89/bash-completion/cowbuilder	2020-10-08 21:07:41.000000000 +0000
@@ -1,6 +1,7 @@
 # Debian GNU/Linux cowbuilder(1) completion
 # Copyright 2007 Cyril Brulebois <cyril.brulebois@enst-bretagne.fr>
 # Copyright 2011 David Paleino <dapal@debian.org>
+# Copyright 2020 Joao Eriberto Mota Filho <eriberto@debian.org>
 #
 # This script can be distributed under the same license as the
 # cowdancer or bash packages.
@@ -13,9 +14,9 @@ _cowbuilder()
     COMPREPLY=()
     _get_comp_words_by_ref cur prev words
     initialcommand=${words[1]}
-    initialcommand_options='--create --update --build --login --execute'
+    initialcommand_options='create --create update --update build --build login --login execute --execute'
     other_options='--dumpconfig --distribution --mirror --basepath --architecture --configfile'
-    distribution='sid sarge etch woody lenny squeeze'
+    distribution='sid jessie stretch buster bullseye bookworm'
 
     case $prev in
 	--distribution)
@@ -35,11 +36,11 @@ _cowbuilder()
     esac
 
     case $initialcommand in
-        --build)
+        --build|build)
             COMPREPLY=( $( compgen -W "$other_options" -- "$cur" )
                         $( compgen -o filenames -G "$cur*.dsc" ) )
             ;;
-        --execute)
+        --execute|execute)
             COMPREPLY=( $( compgen -W "$other_options" -- "$cur" )
                         $( compgen -o filenames -G "$cur*" ) )
             ;;
diff -pruN 0.88/configure.ac 0.89/configure.ac
--- 0.88/configure.ac	2017-01-15 16:30:06.000000000 +0000
+++ 0.89/configure.ac	2020-10-08 20:59:41.000000000 +0000
@@ -14,11 +14,6 @@ AC_PROG_CC
 dnl Only needed for a single test
 AC_PROG_CXX
 
-AC_CHECK_LIB([ncurses],
-             [setupterm],
-             [[LIBS="-lncurses${LIBS:+ $LIBS}"] AC_CHECK_HEADER([curses.h], [], AC_MSG_FAILURE([curses.h could not be found]))],
-             [AC_MSG_FAILURE([ncurses library could not be found])])
-
 dnl The dlerror() function is in the C library for *BSD and in
 dnl libdl on GLIBC-based systems
 AC_SEARCH_LIBS([dlerror],
diff -pruN 0.88/cowdancer.c 0.89/cowdancer.c
--- 0.88/cowdancer.c	2017-01-19 09:46:39.000000000 +0000
+++ 0.89/cowdancer.c	2020-10-08 21:06:40.000000000 +0000
@@ -185,13 +185,6 @@ __attribute__((warn_unused_result)) stat
 	   It is initialized==0 only for the first time
 	   so should be !initialized==0 most of the time. */
 	if (__builtin_expect(!initialized, 0)) {
-		log_use_colors use_colors = log_get_use_colors_unresolved();
-		/* Temporarily disable auto detection, since ncurses calls fopen, which
-		 * leads to initialize_functions calling itself. */
-		if (use_colors == log_use_colors_auto) {
-			log_set_use_colors(log_use_colors_no);
-		}
-
 		initialized = 1;
 		origlibc_open = dlsym(RTLD_NEXT, "open");
 		origlibc_open64 = dlsym(RTLD_NEXT, "open64");
@@ -239,7 +232,6 @@ __attribute__((warn_unused_result)) stat
 			initialized = 2;
 			debug_cowdancer("Initialization successfully finished.");
 		}
-		log_set_use_colors(use_colors);
 	}
 	/*
      Wait until somebody else finishes his job
diff -pruN 0.88/debian/changelog 0.89/debian/changelog
--- 0.88/debian/changelog	2019-01-07 13:43:20.000000000 +0000
+++ 0.89/debian/changelog	2020-10-08 21:12:49.000000000 +0000
@@ -1,3 +1,24 @@
+cowdancer (0.89) unstable; urgency=medium
+
+  [ Jessica Clarke ]
+  * parameter.c: Sync options with pbuilder 0.230.4.
+    This adds support for --use-cgroup and --no-source-only-changes.
+    Closes: #932465
+  * Update my name.
+
+  [ Debian Janitor ]
+  * Use correct machine-readable copyright file URI.
+  * Update standards version to 4.5.0, no changes needed.
+
+  [ Thorsten Glaser ]
+  * Check isatty(3) rather than rely on ncurses/tinfo (Closes: #970555)
+  * Revert "Don't deadlock initialization"
+
+  [ Joao Eriberto Mota Filho ]
+  * Update distributions and allow options without '--'
+
+ -- Jessica Clarke <jrtc27@debian.org>  Thu, 08 Oct 2020 22:12:49 +0100
+
 cowdancer (0.88) unstable; urgency=medium
 
   [ Mattia Rizzolo ]
diff -pruN 0.88/debian/control 0.89/debian/control
--- 0.88/debian/control	2019-01-07 13:43:20.000000000 +0000
+++ 0.89/debian/control	2020-10-08 20:59:41.000000000 +0000
@@ -1,16 +1,15 @@
 Source: cowdancer
 Maintainer: Debian pbuilder maintenance team <team+pbuilder@tracker.debian.org>
 Uploaders:
- James Clarke <jrtc27@debian.org>,
+ Jessica Clarke <jrtc27@debian.org>,
  Mattia Rizzolo <mattia@debian.org>,
 Section: utils
 Priority: optional
 Build-Depends:
  debhelper-compat (= 12),
  dh-exec,
- libncurses-dev,
  pbuilder <!nocheck>,
-Standards-Version: 4.3.0
+Standards-Version: 4.5.0
 Vcs-Browser: https://salsa.debian.org/pbuilder-team/cowdancer
 Vcs-Git: https://salsa.debian.org/pbuilder-team/cowdancer.git
 Rules-Requires-Root: no
diff -pruN 0.88/debian/copyright 0.89/debian/copyright
--- 0.88/debian/copyright	2018-04-04 12:39:53.000000000 +0000
+++ 0.89/debian/copyright	2020-10-08 20:57:40.000000000 +0000
@@ -1,4 +1,4 @@
-Format: https://www.debian.org/doc/packaging-manuals/copyright-format/1.0
+Format: https://www.debian.org/doc/packaging-manuals/copyright-format/1.0/
 Upstream-Name: cowdancer
 Upstream-Contact: Debian pbuilder maintenance team <pbuilder-maint@lists.alioth.debian.org>
 
@@ -6,7 +6,7 @@ Files: *
 Copyright:
  (C) 2005-2009 Junichi Uekawa <dancer@debian.org>
  (C) 2015 Iain R. Learmonth <irl@debian.org>
- (C) 2016-2017 James Clarke <jrtc27@debian.org>
+ (C) 2016-2017 Jessica Clarke <jrtc27@debian.org>
 License: GPL-2+
 
 License: GPL-2+
diff -pruN 0.88/log.c 0.89/log.c
--- 0.88/log.c	2017-01-19 09:46:39.000000000 +0000
+++ 0.89/log.c	2020-10-08 21:05:51.000000000 +0000
@@ -1,6 +1,6 @@
 /*
  *  logging for cowdancer.
- *  Copyright (C) 2016 James Clarke
+ *  Copyright (C) 2016 Jessica Clarke
  *
  *  This program is free software; you can redistribute it and/or modify
  *  it under the terms of the GNU General Public License as published by
@@ -28,9 +28,6 @@
 #include <string.h>
 #include <unistd.h>
 
-#include <curses.h>
-#include <term.h>
-
 static const char *red = "\033[0;31m";
 static const char *yellow = "\033[1;33m";
 static const char *blue = "\033[0;34m";
@@ -43,31 +40,19 @@ static log_use_colors use_colors = log_u
 static log_use_colors use_colors_orig = log_use_colors_auto;
 
 static int term_supports_colors(void) {
-	/* Don't use log_printf - potential for infinite mutual recursion... */
-
-	int colors;
-	int erret;
 	const char *term;
 
 	term = getenv("TERM");
 
-	if (!term || !*term) {
+	if (term &&
+	    (!strcmp(term, "dumb") ||
+	     !strcmp(term, "vt100") ||
+	     !strcmp(term, "vt220"))) {
 		return 0;
 	}
 
-	if (!called_setupterm) {
-		if (setupterm(term, STDOUT_FILENO, &erret) != OK && erret <= 0) {
-			fprintf(stderr, "E: Error calling setupterm: %d\n", erret);
-			return 0;
-		}
-
-		called_setupterm = 1;
-	}
-
-	colors = tigetnum("colors");
-
-	/* colors is -1 on error, which will be treated as not supported */
-	return colors >= 8;
+	/* assume colour support on all modern terminals */
+	return isatty(1);
 }
 
 static FILE *file_for_level(log_level level) {
diff -pruN 0.88/log.h 0.89/log.h
--- 0.88/log.h	2017-01-19 09:46:39.000000000 +0000
+++ 0.89/log.h	2020-10-08 20:57:40.000000000 +0000
@@ -1,6 +1,6 @@
 /*
  *  logging for cowdancer.
- *  Copyright (C) 2016 James Clarke
+ *  Copyright (C) 2016 Jessica Clarke
  *
  *  This program is free software; you can redistribute it and/or modify
  *  it under the terms of the GNU General Public License as published by
diff -pruN 0.88/parameter.c 0.89/parameter.c
--- 0.88/parameter.c	2018-04-04 12:31:48.000000000 +0000
+++ 0.89/parameter.c	2020-10-08 20:57:40.000000000 +0000
@@ -416,8 +416,9 @@ int parse_parameter(int ac, char **av, c
 		/* qemubuilder specific options */
 		{"arch-diskdevice", no_argument, 0, 0},
 
-		/* verbatim options with argument, synced as of pbuilder 0.228 */
+		/* verbatim options with argument, synced as of pbuilder 0.230.4 */
 		{"use-network", required_argument, 0, 'M'},
+		{"use-cgroup", required_argument, 0, 'M'},
 		{"host-arch", required_argument, 0, 'M'},
 		{"aptcache", required_argument, 0, 'M'},
 		{"debemail", required_argument, 0, 'M'},
@@ -432,13 +433,14 @@ int parse_parameter(int ac, char **av, c
 		{"keyring", required_argument, 0, 'M'},
 		{"bindmounts", required_argument, 0, 'M'},
 
-		/* verbatim options without argument, synced as of pbuilder 0.228 */
+		/* verbatim options without argument, synced as of pbuilder 0.230.4 */
 		{"no-auto-cross", no_argument, 0, 'm'},
 		{"autocleanaptcache", no_argument, 0, 'm'},
 		{"removepackages", no_argument, 0, 'm'},
 		{"pkgname-logfile", no_argument, 0, 'm'},
 		{"override-config", no_argument, 0, 'm'},
 		{"source-only-changes", no_argument, 0, 'm'},
+		{"no-source-only-changes", no_argument, 0, 'm'},
 		{"preserve-buildplace", no_argument, 0, 'm'},
 		{"debdelta", no_argument, 0, 'm'},
 		{"twice", no_argument, 0, 'm'},
